﻿function startMove_1(obj,json,spec,md,fn){
	var n, i = 0, t, attr, iCur;
		clearInterval(obj.timer);
		_markFn(obj, json);
		obj.timer = setInterval(move, 15);
		function move() {
			t = md(i / spec);
			for(attr in json){
				attr == 'opacity' ? _sop(obj, attr, json[attr], t) : _spx(obj, attr, json[attr], t);
			}
			if (i == spec){
				clearInterval(obj.timer);
				fn && fn();
			} else {
				i++;
			}
		}
}
function _spx(o, n, v, t) {
		o.style[n] = Math.round(v.s + v.w * t) + 'px';
};	
function _sop(o, n, v, t) {
		v = Math.round(v.s + v.w * t);
		o.style.filter='alpha(opacity=' + v + ')';
		o.style.opacity=v / 100;
};
function _markFn(o, json) {
		var u, attr;
		for (attr in json) {
			u = getStyle(o,attr);
			json[attr] = {
				s: u,
				w: (typeof u) == "number" ? (json[attr]-u) : (_rgb(json[attr].toRgb(), u))
			};
		};
}
	
function getByClass(oParent, sClass){
	var aEle=oParent.getElementsByTagName('*');
	var aResult=[];
	var re=new RegExp('\\b'+sClass+'\\b', 'i');
	var i=0;
	for(i=0;i<aEle.length;i++){
		if(aEle[i].className.search(re)!=-1){
			aResult.push(aEle[i]);
		}
	}
	return aResult;
}

function getStyle(obj, attr){
	var result='';
	if(obj.currentStyle){
		result=obj.currentStyle[attr];
	}
	else{
		result=getComputedStyle(obj, false)[attr];
	}
	if(attr=='opacity'){
		return Math.round(parseFloat(result)*100);
	}
	else{
		return parseInt(result);
	}
}

var Easing = {
	Out: function(t) {
		return (2 - t) * t;
	},
	In: function(t) {//加速平滑
		return t * t;
	},
	InCirc: function(t) {//加速快
		return -(Math.sqrt(1 - t * t) - 1);
	},
	ElasticIn: function(t) {
		return t;
	},
	OutCirc: function(t) {//先快后慢 慢
		return Math.sqrt(1 - (--t) * t);
	},
	OutBack: function(t) {//弹性
		return (t -= 1) * t * (2.70158 * t + 1.70158) + 1;
	},
	OutExpo: function(t) {//先快后慢 慢慢
		return (t == 1) ? 1 : -Math.pow(2, -10 * t) + 1;
	}
};

function _hasClass(ele,cls){  
	return ele.className.match(new RegExp('(\\s|^)'+cls+'(\\s|$)'));
}  
function _addClass(ele,cls){  
	if(!this._hasClass(ele,cls))ele.className += " "+cls;
} 
function _removeClass(ele, cls){
  if(_hasClass(ele, cls)){
		var reg = new RegExp('(\\s|^)' + cls + '(\\s|$)');
		ele.className = ele.className.replace(reg, ' ');
  }
}
function getEle(sExp, oParent){
	var aResult=[];
	var i=0;
	oParent || (oParent=document);
	if(oParent instanceof Array){
		for(i=0;i<oParent.length;i++)aResult=aResult.concat(getEle(sExp, oParent[i]));
	}
	else if(typeof sExp=='object'){
		if(sExp instanceof Array){
			return sExp;
		}
		else{
			return [sExp];
		}
	}
	else{
		//xxx, xxx, xxx
		if(/,/.test(sExp)){
			var arr=sExp.split(/,+/);
			for(i=0;i<arr.length;i++)aResult=aResult.concat(getEle(arr[i], oParent));
		}
		//xxx xxx xxx 或者 xxx>xxx>xxx
		else if(/[ >]/.test(sExp)){
			var aParent=[];
			var aChild=[];
			var arr=sExp.split(/[ >]+/);
			aChild=[oParent];
			for(i=0;i<arr.length;i++){
				aParent=aChild;
				aChild=[];
				for(j=0;j<aParent.length;j++){
					aChild=aChild.concat(getEle(arr[i], aParent[j]));
				}
			}
			aResult=aChild;
		}
		//#xxx .xxx xxx
		else{
			switch(sExp.charAt(0)){
				case '#':
					return [document.getElementById(sExp.substring(1))];
				case '.':
					return getByClass(oParent, sExp.substring(1));
				default:
					return [].append(oParent.getElementsByTagName(sExp));
			}
		}
	}
	return aResult;
}
function checkHover(e, target) {
	if (getEvent(e).type == "mouseover") {
		return !contains(target, getEvent(e).relatedTarget || getEvent(e).fromElement) && !((getEvent(e).relatedTarget || getEvent(e).fromElement) === target);
	} else {
		return !contains(target, getEvent(e).relatedTarget || getEvent(e).toElement) && !((getEvent(e).relatedTarget || getEvent(e).toElement) === target);
	}
}
function getEvent(e) {
	return e || window.event;
}

function contains(parentNode, childNode) {
	if (parentNode.contains) {
		return parentNode != childNode && parentNode.contains(childNode);
	} else {
		return !!(parentNode.compareDocumentPosition(childNode) & 16);
	}
}

function scrollModle(cParentId,cBoxId,sParentId,sBoxId,parendNode){
	var oParentCont=getEle(cParentId, parendNode)[0];
	var oCont=getEle(cBoxId, parendNode)[0];
	var oParentScro=getEle(sParentId, parendNode)[0];
	var oBoxScroBar=getEle(sBoxId, parendNode)[0];
	
	if(oCont.offsetHeight>oParentCont.offsetHeight+5){
		oParentScro.style.display = 'block';	
	}
	
	if(oCont.offsetHeight>0){
		oBoxScroBar.style.height = oParentCont.offsetHeight*(oParentCont.offsetHeight/oCont.offsetHeight) + 'px';	
	}

	oBoxScroBar.onmousedown=function (ev){
		var oEvent=ev||event;	
		var disX=oEvent.clientY-oBoxScroBar.offsetTop;
		
		if(oBoxScroBar.setCapture){
			oBoxScroBar.onmousemove=fnMove;
			oBoxScroBar.onmouseup=fnUp;
			oBoxScroBar.setCapture();	
		}else{
			document.onmousemove=fnMove;
			document.onmouseup=fnUp;	
		}
		function fnMove(ev){
			var oEvent=ev||event;
			var l=oEvent.clientY-disX;
			if(l<0){
				l=0;
			}
			else if(l>oParentScro.offsetHeight-oBoxScroBar.offsetHeight){
				l=oParentScro.offsetHeight-oBoxScroBar.offsetHeight;
			}
			oBoxScroBar.style.top=l+'px';
			var scale=l/(oParentScro.offsetHeight-oBoxScroBar.offsetHeight);
			oCont.style.top=-scale*(oCont.offsetHeight-oParentCont.offsetHeight)+'px';
		};
		function fnUp(){
			this.onmousemove=null;
			this.onmouseup=null;
			if(oBoxScroBar.releaseCapture){
				oBoxScroBar.releaseCapture();
			}
		}
		return false;
	};
}

function productFn(){
	var oBox = document.getElementById('products_list');
	var aLi = oBox.getElementsByTagName('li');
	var len = aLi.length;
	//img_area  tit_area  remark  less_info  detail_info 
	//detail_info_warp detail_info_cont detail_info_scroll detail_info_btn 
	for(var i=0;i<len;i++){
		
		aLi[i].onmouseover = function(){
			var _this = this;
			var oImg  = getEle('.img_area', this)[0];
			var oTit  = getEle('.tit_area', this)[0];
			var oMark  = getEle('.remark', this)[0];
			var oDetail  = getEle('.detail_info', this)[0];

			oDetail.style.top = '27px';
			scrollModle('.detail_info_warp','.detail_info_cont','.detail_info_scroll','.detail_info_btn',_this);
			
			startMove_1(oImg,{top:-240},20,Easing.Out,null);
			startMove_1(oTit,{top:16},25,Easing.Out,null);
			startMove_1(oMark,{top:72},30,Easing.Out,function(){
				
			});
		}
		aLi[i].onmouseout = function(){
			var oImg  = getEle('.img_area', this)[0];
			var oTit  = getEle('.tit_area', this)[0];
			var oMark  = getEle('.remark', this)[0];
			var oDetail  = getEle('.detail_info', this)[0];
			
			startMove_1(oImg,{top:0},35,Easing.Out,null);
			startMove_1(oTit,{top:180},25,Easing.Out,null);
			startMove_1(oMark,{top:247},15,Easing.Out,function(){
				oDetail.style.top = '-1000px';	
			});
		}
	}
	
}

function navFn(){
	var oBox = document.getElementById('nav');
	var aLi = oBox.getElementsByTagName('li');
	var len = aLi.length;
	var navIndex;
	var re = /^[0-9]*$/;
	for(var i=0;i<len;i++){
		aLi[i].index = i;
		if( aLi[i].className.indexOf('current')>-1 )navIndex = parseInt(aLi[i].index);
		aLi[i].onmouseover = function(){
			var isSub = getEle('.main_sub_nav',aLi[this.index])[0];
			if(isSub){
				var itemLen = isSub.getElementsByTagName('p').length;
				var hValue = itemLen * 34 + 10 +30;
				isSub.style.display = 'block';
				startMove_1(isSub,{height:hValue},15,Easing.Out,null)
			}
			for(var i=0;i<len;i++){
				_removeClass(aLi[i],'current');	
			}
			_addClass(aLi[this.index],'current');
			
		}
		aLi[i].onmouseout = function(){
			var isSub = getEle('.main_sub_nav',aLi[this.index])[0];
			if(isSub){
				startMove_1(isSub,{height:0},15,Easing.Out,function(){
					isSub.style.display = 'none';	
				})
			}
			for(var i=0;i<len;i++){
				_removeClass(aLi[i],'current');
			}
			if(re.test(navIndex)){
				_addClass(aLi[navIndex],'current');	
			}
		}		
	}
}


function fnScroll(oId, num) {
	var oBtnLeft = document.getElementById('s_prve');
	var oBtnRight = document.getElementById('s_next');
	var oSlideBtn = getEle('#slide_btn')[0];
	var oParent = document.getElementById(oId);
	var oBox = getEle('.time_line_cont',oParent)[0];
	var aLi = oBox.getElementsByTagName('span');
	var aContent = getEle('.process_time_box');
	var iNow = 0;
	var s = num;
	

	oBox.style.width = aLi.length * aLi[0].offsetWidth + 'px';
	
	oBtnLeft.onclick = function() {
		iNow -= s;
		if (iNow <= 0) {
			iNow = 0;
			_removeClass(oBtnLeft, 'process_time_left_on');
		}
		_addClass(oBtnRight, 'process_time_right_on');
		startMove_1(oBox,{left:-iNow * aLi[0].offsetWidth},30,Easing.Out,null)
	}
	oBtnRight.onclick = function() {
		if(this.className.indexOf('process_time_right_on')<0)return false;
		iNow += s;

		if (iNow + s >= aLi.length) {
			_removeClass(oBtnRight, 'process_time_right_on');
		}

		if (aLi.length % s) {
			var n = s - aLi.length % s;
			if (iNow > aLi.length - s) {
				iNow -= n;
			}
		}
		_addClass(oBtnLeft, 'process_time_left_on');
		startMove_1(oBox,{left:-iNow * aLi[0].offsetWidth},20,Easing.Out,null)
	}
	
	//Click
	for(var i=0;i<aLi.length;i++){
		aLi[i].onclick = function(i){
			return function(){
				//setCurrent(i);
				startMove_1(oSlideBtn,{left:(i * aLi[0].offsetWidth)+5},20,Easing.Out,null)
			}
		}(i)		
	}
	
	//Drag
	oSlideBtn.onmousedown=function (ev){
		var oEvent=ev||event;	
		var disX=oEvent.clientX-oSlideBtn.offsetLeft;
		var currentNum = 0;
		
		if(oSlideBtn.setCapture){
			oSlideBtn.onmousemove=fnMove;
			oSlideBtn.onmouseup=fnUp;
			oSlideBtn.setCapture();	
		}else{
			document.onmousemove=fnMove;
			document.onmouseup=fnUp;	
		}
		function fnMove(ev){
			var oEvent=ev||event;
			var l=oEvent.clientX-disX;
			
			if(l<5){
				l=5;
			}
			else if(l>oBox.offsetWidth-oSlideBtn.offsetWidth){
				l=oBox.offsetWidth-oSlideBtn.offsetWidth;
			}
			currentNum = Math.ceil(l / parseInt(aLi[0].offsetWidth));
			//setCurrent(currentNum-1);
			//document.title = currentNum;
			$(".a1").eq(currentNum-1).click();
			oSlideBtn.style.left=l+'px';
		};
		function fnUp(){
			startMove_1(oSlideBtn,{left:((currentNum-1) * aLi[0].offsetWidth)+5},20,Easing.Out,null);
			this.onmousemove=null;
			this.onmouseup=null;
			if(oSlideBtn.releaseCapture){
				oSlideBtn.releaseCapture();
			}
		}
		return false;
	};
	
	function setCurrent(n){
		for(var j=0;j<aLi.length;j++){
			_removeClass(aLi[j], 'current');
			_removeClass(aContent[j], 'current');	
		}
		_addClass(aLi[n], 'current');
		_addClass(aContent[n], 'current');
	}
	
}





function setHeightBg(obj,bg){
	var oBox = getEle(obj)[0];
	var oBg = getEle(bg,oBox)[0];
	var oLastChild = getEle('.honor_item_c',oBox);
	var len = oLastChild.length;
	var defH = oBox.offsetHeight;
	var oLastSpan = oLastChild[len-1].getElementsByTagName('span')[0];
	var lastH = oLastChild[len-1].offsetHeight-20-(oLastSpan.offsetHeight/2);
	
	oBg.style.height = (defH-lastH) + 'px';
}

function honorFn(){
		var oParent = document.getElementById('honor_year');
		if(!oParent) return;
		var aLink = oParent.getElementsByTagName('a');
		var len = aLink.length;
		for(var i=0;i<len;i++){
			aLink[i].onclick = function(i){
				return function(){
					for(var j=0;j<len;j++){
						_removeClass(aLink[j], 'current');
					}
					_addClass(aLink[i], 'current');	
				}
			}(i);
		}
		setHeightBg('.honor_content','.honor_content_line');
}

function footSearch(){
	var oIpt = document.getElementById('search');
	var sDefValue = oIpt.value;
	oIpt.onfocus = function(){
		oIpt.value == sDefValue ? oIpt.value = '' : void 0;
	}
	oIpt.onblur = function(){
		oIpt.value == '' ? oIpt.value = sDefValue : void 0;
	}
}
function fSelectFN(oBox){
	var oBox = document.getElementById(oBox);
	var oSelect = oBox.getElementsByTagName("p")[0];
	var oSub = oBox.getElementsByTagName("ul")[0];
	var aLi = oSub.getElementsByTagName("li");
	var i = 0;

	oBox.onclick = function (event){
		var style = oSub.style;
		style.display = style.display == "block" ? "none" : "block";
		if(oSub.offsetHeight > 60){
			style.top = -(oSub.offsetHeight) + 'px';
		}else{
			style.top = (oSelect.offsetHeight) + 'px';	
		}
		style.top = -(oSub.offsetHeight) + 'px';
        
		(event || window.event).cancelBubble = true
	};
	
	for (i = 0; i < aLi.length; i++){
		aLi[i].onmouseover = function (){
			this.className = "hover"
		};
		aLi[i].onmouseout = function (){
			this.className = "";
		};
		aLi[i].onclick = function (){
			oSelect.innerHTML = this.innerHTML	
		}
	}
	document.onclick = function (){
		oSub.style.display = "none";
	};
}

function Focusimg(id,ops){
	this.id = document.getElementById(id);
	this.UL = this.id.getElementsByTagName('ul')[0];
	this.list = this.id.getElementsByTagName('li');
	
	this.ops = {
		isBtn : true,
		isPoint : true,
		isAuto : false,
		moveType : 'left', //opacity
		viewType : false,
		playDelay : 3000
	};

	this.ops.isBtn = ops.isBtn!=undefined ? ops.isBtn : this.ops.isBtn;
	this.ops.isPoint = ops.isPoint!=undefined ? ops.isPoint : this.ops.isPoint;
	this.ops.playDelay = ops.playDelay ? ops.playDelay : this.ops.playDelay;
	this.ops.playAuto = ops.isAuto ? ops.isAuto : this.ops.isAuto;
	this.ops.viewType = ops.viewType ? ops.viewType : this.ops.viewType;
	
	this.ops.moveType = ops.moveType!=undefined ? ops.moveType : this.ops.moveType;
	if(this.ops.moveType == 'opacity'){
		this._index = 0;		
	}else{
		this._index = 1;
	}
	
	this.len = this.list.length;
	this.itemW = this.list[0].offsetWidth;
	this.timer = null;
	this.zIndex = this.len;	
	this.copyFlag = true;
	
	if(this.ops.playAuto){
		this.auto();	
	}
	this.start(this);
}

Focusimg.prototype.auto = function(){
	var _this = this;
	clearInterval(this.timer);
	this.timer = setInterval(function(){
		_this._index++;
		if(_this.ops.moveType == 'opacity'){
				_this._index = _this._index%(_this.len)==0 ? 0 : _this._index%(_this.len);
				_this.setCurrent(_this._index);
		}else{
			_this._index = _this._index%(_this.len+2)==0 ? 2 : _this._index%(_this.len+2);
		}
		_this.move(_this._index);	
	},_this.ops.playDelay);
	this.id.parentNode.onmouseover = function(){
		clearInterval(_this.timer);
	}
	this.id.parentNode.onmouseout = function(){
		_this.auto();
	}
}

Focusimg.prototype.start = function(obj){
	var _this = this;
	if(_this.ops.moveType == 'opacity'){
		for(var i=0;i<this.len;i++){
			_addClass(this.list[i],'p_abs');
			this.list[i].style.zIndex = this.len-i;
		}	
	}else if(_this.ops.moveType == 'left'){
		
		var cloneFirst = this.list[0].cloneNode(true);
		cloneFirst.className = 'clone_item';
		this.UL.appendChild(cloneFirst);
		var cloneLast = this.list[this.len-1].cloneNode(true);
		cloneLast.className = 'clone_item';
		this.UL.insertBefore(cloneLast,this.list[0]);
		var newLen = this.list.length;
		
		for(var i=0;i<newLen;i++){
			_addClass(this.list[i],'f_left');
		}
		this.UL.style.width = this.itemW*newLen + 'px';
		this.id.style.left = -this.itemW + 'px';
	}
	if(_this.ops.isPoint){
		var cDiv = document.createElement('div');
		cDiv.className = 'loop_point';
		for(var i=0;i<this.len;i++){
			var cPoint = document.createElement('a');
			cPoint.href = 'javascript:;'
			cPoint.innerHTML = (i+1);
			if(cPoint.innerHTML==1)_addClass(cPoint,'current');
			cPoint.onclick = function(){
				if(_this.ops.moveType == 'opacity'){
					obj._index = parseInt(this.innerHTML)-1;	
					_this.setCurrent(obj._index);
				}else{
					obj._index = parseInt(this.innerHTML);	
					_this.setCurrent(obj._index-1);
				}
				obj.move(obj._index);
			}
			cDiv.appendChild(cPoint);
		}
		this.id.parentNode.appendChild(cDiv);
	}
	
	if(_this.ops.isBtn){
		var cRightBtn = document.createElement('a');
		cRightBtn.href = 'javascript:;';
		cRightBtn.innerHTML = '右';
		cRightBtn.className = 'right_btn';
		cRightBtn.onclick = function(){
			if(_this.ops.moveType == 'opacity'){
				_this._index++;
				_this._index = _this._index%(_this.len)==0 ? 0 : _this._index%(obj.len);
				//_this.setCurrent(obj._index);
			}else{
				if(_this._index==0)_this._index=_this.len;
				_this._index++;
				_this._index = _this._index%(_this.len+2)==0 ? 2 : _this._index%(obj.len+2);
			}
			_this.zIndex++;
			_this.move(obj._index);
		}
		var cLeftBtn = document.createElement('a');
		cLeftBtn.href = 'javascript:;';
		cLeftBtn.innerHTML = '左';
		cLeftBtn.className = 'left_btn';
		cLeftBtn.onclick = function(){
			if(_this._index==_this.len+1)_this._index=1;
			_this._index--;
			_this._index = _this._index==-1 ? _this.len-1 : _this._index%(obj.len+2);
			_this.zIndex++;
			_this.move(obj._index);
		}
		this.id.parentNode.appendChild(cLeftBtn);
		this.id.parentNode.appendChild(cRightBtn);
	}
	
	if(_this.copyFlag&&_this.ops.viewType){
		var cloneSecond = _this.list[2].cloneNode(true);
		_addClass(cloneSecond,'p_abs');
		cloneSecond.style.left = (_this.len+2)*_this.itemW+'px';
		_this.UL.appendChild(cloneSecond);
			
		var cloneSecond = _this.list[3].cloneNode(true);
		_addClass(cloneSecond,'p_abs');
		cloneSecond.style.left = ((_this.len+2)+1)*_this.itemW+'px';
		_this.UL.appendChild(cloneSecond);
		_this.copyFlag = false;	
	}
	
}

Focusimg.prototype.move = function(n){
	var _this = this;
	
	if(_this.ops.moveType == 'opacity'){
		for(var i=0;i<this.len;i++){
			startMove_1(_this.list[i],{opacity:0},50,Easing.Out,function(){})	
		}	
		startMove_1(_this.list[n],{opacity:100},50,Easing.Out,function(){})
		_this.list[n].style.zIndex = _this.zIndex;
	}else{
		startMove_1(this.id,{left:-n*this.itemW},20,Easing.Out,function(){
			if(_this._index==_this.len+1){
				_this.id.style.left = -_this.itemW + 'px';
			}
			if(_this._index==0){
				_this.id.style.left = -_this.len*_this.itemW + 'px';
			}
		});
	}
}

Focusimg.prototype.setCurrent = function(n){
	var _this = this;
	var aSpan = getEle('.loop_point',_this.id.parentNode)[0].getElementsByTagName('a');
	for(var i=0;i<aSpan.length;i++){
		_removeClass(aSpan[i],'current');
	}	
	_addClass(aSpan[n],'current');
}

function homekvFN(){
	var oBox = document.getElementById('home_kv');
	var oUL = oBox.getElementsByTagName('ul')[0];
	var aKvList = oUL.getElementsByTagName('li');
	var oOl = oBox.getElementsByTagName('ol')[0];
	var aBtnList = oOl.getElementsByTagName('li');
	
	var len = aKvList.length;
	var myTimer = null;
	var zIndex = len;
	var _index = 0;
	var getDefW = [];
	
	for(var i=0;i<len;i++){
	  aBtnList[i].index = i;
	  _addClass(aKvList[i],'p_abs');
	  aKvList[i].style.zIndex = len-i;
	  
		var iDefW = aBtnList[i].getElementsByTagName('p')[0].getElementsByTagName('span')[0].offsetWidth;
		getDefW.push(iDefW);

	  aBtnList[i].onclick = function(){
		  _index = parseInt(this.index);
			this.getElementsByTagName('p')[0].style.top = '-1000px';
		  move(_index);
			tipsHidden();
	  }
		
		aBtnList[i].onmouseover = function(e){
		  if(checkHover(e,this)){
				if(this.className.indexOf('current')<0){
					_addClass(this,'hover');
					this.getElementsByTagName('p')[0].style.top = '4px';
					this.getElementsByTagName('p')[0].style.width = '0';
					startMove_1(this.getElementsByTagName('p')[0],{left:-(getDefW[this.index]-15),width:getDefW[this.index]},10,Easing.Out,function(){})
				}
			}
		}
		aBtnList[i].onmouseout = function(e){
		  if(checkHover(e,this)){
				if(this.className.indexOf('current')<0){
					_removeClass(this,'hover');
					this.getElementsByTagName('p')[0].style.top = '-1000px';
					startMove_1(this.getElementsByTagName('p')[0],{left:10,width:0},10,Easing.Out,function(){
							
					})
				}
			}
		}
	}
	
	auto();
	function auto(){
		clearInterval(myTimer);
		myTimer = setInterval(function(){
			_index++;
			_index = _index%(len)==0 ? 0 : _index%(len);
			move(_index);
		},3000);
		oBox.onmouseover = function(){
			clearInterval(myTimer);
		}
		oBox.onmouseout = function(){
			auto();
		}
	}
	
	function move(n){
		zIndex++;
		for(var i=0;i<len;i++){
			startMove_1(aKvList[i],{opacity:0},60,Easing.Out,function(){});
			_removeClass(aBtnList[i],'current');
		}
		_addClass(aBtnList[n],'current');
		startMove_1(aKvList[n],{opacity:100},60,Easing.Out,function(){});
		aKvList[n].style.zIndex = zIndex;
	}
	
	function tipsHidden(){
		for(var i=0;i<len;i++){
			_removeClass(aBtnList[i],'hover');
			startMove_1(aBtnList[i].getElementsByTagName('p')[0],{left:10,width:0},20,Easing.Out,function(){})
		}
	}
}


//以下是新加的JS，上面的都没动
function Marketing() {
    this.o = zhimianData;
    this.len = 0;
    this.oi = 0;
    this.createFn = null;
    this.tab = getEle('.marketing_tab')[0];
    this.tabBtn = this.tab.getElementsByTagName('a');
    this.dom = getEle('.marketing_map')[0];
    this.location = getEle('.marketing_location')[0];
    this.popDom = getEle('.marketing_pop')[0];
    this.imgWarp = getEle('.marketing_pop_warp')[0];
    this.imgScroll = getEle('.marketing_pop_scroll')[0];
    this.oImgBox = getEle('.marketing_pop_scroll_ul')[0];

    this.oTxtParent = getEle('.marketing_pop_txt')[0];
    this.oTxtWarp = getEle('.marketing_pop_txt_warp')[0];
    this.oTxtBox = getEle('.marketing_pop_txt_con')[0];

    this.oTxtUpBtn = getEle('.pop_txt_scroll_up')[0];
    this.oTxtDownBtn = getEle('.pop_txt_scroll_down')[0];

    this.selectData();
}
Marketing.prototype.selectData = function () {
    var _this = this;
    for (var i = 0; i < _this.tabBtn.length; i++) {
        _this.tabBtn[i].onclick = function (i) {
            return function () {
                for (var j = 0; j < _this.tabBtn.length; j++) {
                    _removeClass(_this.tabBtn[j], 'current');
                }
                _this.oi = i;
                switch (i) {
                    case 0:
                        _this.o = zhimianData;
                        _this.len = _this.o.length;
                        _this.setData();
                        break;
                    case 1:
                        _this.o = zhongheData;
                        _this.len = _this.o.length;
                        _this.setData();
                        break;
                    case 2:
                        _this.o = mianfenData;
                        _this.len = _this.o.length;
                        _this.setData();
                        break;
                    default:
                        _this.o = yingpingData;
                        _this.len = _this.o.length;
                        _this.setData();
                }
                _this.location.innerHTML = this.innerHTML;
                _addClass(this, 'current');
                _this.poprestart();
            }
        } (i);
    }
    _this.len = _this.o.length;
    _this.setData();
}
Marketing.prototype.setData = function () {
    var _this = this;
    _this.dom.innerHTML = '';
    for (var i = 0; i < this.len; i++) {
        var cDiv = document.createElement('div');
        cDiv.id = 'point_' + i;
        cDiv.className = 'point';
        cDiv.style.left = this.o[i].x + 'px';
        cDiv.style.top = this.o[i].y + 'px';
        cDiv.innerHTML = '<a href="javascript:;">' + this.o[i].name + '</a>';
        //此处有修改，在IE下会报错 2014-2-6
		if(this.o[i]['class']){
			_addClass(cDiv,this.o[i]['class']);	
		}
		//此处有修改，在IE下会报错 2014-2-6
        this.dom.appendChild(cDiv);
    }
    _this.popup();
}

Marketing.prototype.popup = function () {
    var _this = this;
    var aPoint = getEle('.point', this.dom);
    for (var i = 0; i < _this.len; i++) {
        aPoint[i].onclick = function (i) {
            return function () {
                for (var j = 0; j < _this.len; j++) {
                    _removeClass(aPoint[j], 'current');
                }
                if (_this.oi != 3) {
                    _this.popDom.style.top = '102px';
                    _this.setScroll(i, _this.oi);
                    if (_this.o[i].pointJoin && _this.o[i].pointJoin != undefined) {
                        _addClass(aPoint[_this.o[i].pointJoin - 1], 'current');
                    } else {
                        _addClass(aPoint[i], 'current');
                    }
                }
            }
        } (i);

        aPoint[i].onmouseover = function (i) {
            return function () {

                if (_this.o[i].pointJoin && _this.o[i].pointJoin != undefined) {
                    for (var j = 0; j < _this.len; j++) {
                        _removeClass(aPoint[j], 'current');
                    }
                    _addClass(aPoint[_this.o[i].pointJoin - 1], 'current');
                }
            }
        } (i);

    }
}


Marketing.prototype.setScroll = function (num, index) {
    var _this = this;
    $.ajax({
        type: "get", //使用get方法访问后台
        data: "nodeid=" + nodeid + "&val=" + encodeURIComponent(_this.o[num].name) + "&index=" + index,
        url: "ajax.aspx", //要访问的后台地址
        //complete :function(){$("#load").hide();},//AJAX请求完成时隐藏loading提示
        success: function (msg) {
            if (msg.indexOf('|') > -1) {
                var arr = msg.split('|')[0].split('$');
                for (var i = 0; i < arr.length; i++) {
                    var cLi = document.createElement('li');
                    cLi.innerHTML = '<img src="' + arr[i] + '" width="334" height="251" alt="" />';
                    _this.oImgBox.appendChild(cLi);
                }
                if (arr.length > 1) {
                    _this.createFn = new Focusimg('marketing_pop_scroll', {
                        isPoint: false,
                        isBtn: true,
                        moveType: 'left',
                        isAuto: false
                    });
                }
                _this.oTxtBox.innerHTML = msg.split('|')[1];
            }
            _this.scrolltxt();
            //scrollModle('.marketing_pop_txt_warp', '.marketing_pop_txt_con', '.marketing_pop_txt_scroll', '.marketing_pop_txt_btn', _this.oTxtParent);
            _this.popclose();
        }
    });
}
Marketing.prototype.popclose = function () {
    var _this = this;
    var oClose = getEle('.marketing_pop_close')[0];
    oClose.onclick = function () {
        _this.poprestart();
    }
}
Marketing.prototype.poprestart = function () {
    var _this = this;
    var oLeftBtn = getEle('.left_btn')[0];
    var oRightBtn = getEle('.right_btn')[0];
    _this.popDom.style.top = '-10000px';
    _this.createFn = null;
    _this.oImgBox.innerHTML = '';
    _this.oTxtBox.innerHTML = '';
    _this.imgScroll.style.left = '';
    _this.oImgBox.style.width = '';
    _this.oTxtBox.style.top = '';
    _this.oTxtDownBtn.style.display = 'none';
    _this.oTxtUpBtn.style.display = 'none';
    if (oLeftBtn) {
        _this.imgWarp.removeChild(oLeftBtn);
        _this.imgWarp.removeChild(oRightBtn);
    }
}
Marketing.prototype.scrolltxt = function () {
    var _this = this;
    var outH = _this.oTxtWarp.offsetHeight;
    var insidH = _this.oTxtBox.offsetHeight;
    var howNum = Math.floor(insidH / outH);
    var _index = 0;
    var howH = 0;
    var currentTop = 0;
    var isFlag = true;
    if (insidH > outH) {
        _this.oTxtDownBtn.style.display = 'block';
    }
    _this.oTxtDownBtn.onclick = function () {
        if (!isFlag) return;
        isFlag = false;
        if (howNum == 1) {
            howH = _index * outH + insidH - outH;
        } else {
            _index++;
            if (outH < insidH - _index * outH) {
                howH = _index * outH;
            } else {
                howH = currentTop + (insidH - (_index) * outH);
            }
        }
        _this.oTxtUpBtn.style.display = 'block';
        startMove_1(_this.oTxtBox, { top: -howH }, 30, Easing.Out, function () {
            currentTop = Math.abs(parseInt(_this.oTxtBox.style.top));
            if (currentTop == insidH - outH) {
                _this.oTxtDownBtn.style.display = 'none';
            }
            isFlag = true;
        })
    }
    _this.oTxtUpBtn.onclick = function () {
        if (!isFlag) return;
        isFlag = false;
        if (howNum == 1) {
            howH = 0;
        } else {
            _index--;
            howH = _index * outH;
        }
        _this.oTxtDownBtn.style.display = 'block';
        startMove_1(_this.oTxtBox, { top: -howH }, 30, Easing.Out, function () {
            currentTop = Math.abs(parseInt(_this.oTxtBox.style.top));
            if (currentTop == 0) {
                _this.oTxtUpBtn.style.display = 'none';
            }
            isFlag = true;
        })
    }

}



/*以下是新加的JS  2014-2-6*/
function fnHonnerScroll(oId, num) {
	var oBtnLeft = document.getElementById('s_prve');
	var oBtnRight = document.getElementById('s_next');

	var oParent = document.getElementById(oId);
	var oBox = getEle('.time_line_cont',oParent)[0];
	var aLi = oBox.getElementsByTagName('span');
	var aContent = getEle('.process_time_box');
	var iNow = 0;
	var s = num;
	

	oBox.style.width = aLi.length * aLi[0].offsetWidth + 'px';
	
	oBtnLeft.onclick = function() {
		iNow -= s;
		if (iNow <= 0) {
			iNow = 0;
			_removeClass(oBtnLeft, 'process_time_left_on');
		}
		_addClass(oBtnRight, 'process_time_right_on');
		startMove_1(oBox,{left:-iNow * aLi[0].offsetWidth},30,Easing.Out,null)
	}
	oBtnRight.onclick = function() {
		if(this.className.indexOf('process_time_right_on')<0)return false;
		iNow += s;

		if (iNow + s >= aLi.length) {
			_removeClass(oBtnRight, 'process_time_right_on');
		}

		if (aLi.length % s) {
			var n = s - aLi.length % s;
			if (iNow > aLi.length - s) {
				iNow -= n;
			}
		}
		_addClass(oBtnLeft, 'process_time_left_on');
		startMove_1(oBox,{left:-iNow * aLi[0].offsetWidth},20,Easing.Out,null)
	}
	
	//Click
	for(var i=0;i<aLi.length;i++){
		aLi[i].onclick = function(i){
			return function(){
				setCurrent(i);
			}
		}(i)		
	}
	function setCurrent(n){
		for(var j=0;j<aLi.length;j++){
			_removeClass(aLi[j], 'current');
		}
		_addClass(aLi[n], 'current');
	}
}

function processHover(obj){
	var cDiv = document.createElement('div');
	cDiv.id = 'process_img_box';
	cDiv.innerHTML = '<img id="process_img" src="/common/img/common/trans.gif" />';
	document.body.appendChild(cDiv);
	
	var _this = getEle('.'+obj);
	var newImgBox = document.getElementById('process_img_box');
	var newImg = document.getElementById('process_img');
	for(var i=0;i<_this.length;i++){
		_this[i].onmouseover = function(){
			newImg.src = this.src;
			newImgBox.style.left = this.offsetParent.offsetLeft + this.offsetLeft + this.offsetWidth +10 + 'px';
			newImgBox.style.top = this.offsetParent.offsetTop + this.offsetTop + 'px';
			newImgBox.style.display = 'block';
		}
		_this[i].onmouseout = function(){
			newImg.src = '/common/img/common/trans.gif';
			newImgBox.style.display = 'none';	
		}
	}
}

//新加的2014-2-10
(function(){
	var oBackTop = document.getElementById('backtop');
	if(!oBackTop)return false;
	var getClientW = document.documentElement.clientWidth;
	var myWidth = getClientW>1138?1138-(getClientW-1138)/2:1138;
	window.onscroll=function(){
		var scrollTop = document.body.scrollTop||document.documentElement.scrollTop;
		if(scrollTop>700){
			oBackTop.style.display='block';	
		}else{
			oBackTop.style.display='none';		
		}		
	}
})()

//新加的2014-2-22 FAQ
/*function faq(){
	var oClass = getEle('.faq_class')[0];
	var aClassBtn = oClass.getElementsByTagName('li');
	var len = aClassBtn.length;
	var oTit = getEle('.faq_content_main_tit')[0];
	
	var oContent = getEle('.faq_content_list')[0];
	//var aBtn = getEle('.btn_icon',oContent);
	var aBtn = $(".btn_icon");

	var btnLen = aBtn.length;
	//var aDD = oContent.getElementsByTagName('dd');
	var aDD = $(".faq_content_list").find("dd");
	var index = 0;
    var oFaq_content_main=getEle('.faq_content_main');
	
	for(var i=0;i<len;i++){
		aClassBtn[i].index= i;
		aClassBtn[i].onclick=function(){
			for(var j=0;j<len;j++){
				_removeClass(aClassBtn[j],'current');	
			}
			_addClass(aClassBtn[this.index],'current');
            $(".faq_content_main").hide();
            $(".faq_content_main").eq(this.index).show();
			//oTit.innerHTML = aClassBtn[this.index].getElementsByTagName('span')[0].innerHTML;
		}	
	}
	
	for(var i=0;i<btnLen;i++){
		aBtn[i].index= i;
		aBtn[i].onclick=function(){
			
			if(this.className.indexOf('btn_icon_open')>0){
				_removeClass(this,'btn_icon_open');
				startMove_1(aDD[this.index],{height:0},20,Easing.Out,null)
			}else{
				for(var j=0;j<btnLen;j++){
					_removeClass(aBtn[j],'btn_icon_open');
					openCont(j,this.index);
				}
				_addClass(this,'btn_icon_open');	
			}
		}	
	}
	
	function openCont(m,n){
		var iCurrentH = getEle('.q_txt',aDD[n])[0].offsetHeight;
		iCurrentH = iCurrentH+8+25;
		startMove_1(aDD[m],{height:0},20,Easing.Out,function(){})
		startMove_1(aDD[n],{height:iCurrentH},20,Easing.Out,null);
	}
}*/


function faq(){
	var oClass = getEle('.faq_class')[0];
	var aClassBtn = oClass.getElementsByTagName('li');
	var len = aClassBtn.length;
	var oTit = getEle('.faq_content_main_tit')[0];
	
	var oContent = getEle('.faq_content_list')[0];
	//var aBtn = getEle('.btn_icon',oContent);
	var aBtn = $(".btn_icon");
	var btnLen = aBtn.length;
	var aTT = $(".faq_content_list").find('dt');
	//var aTT = oContent.getElementsByTagName('dt');
	//var aDD = oContent.getElementsByTagName('dd');
	var aDD = $(".faq_content_list").find("dd");
	var index = 0;
	
	for(var i=0;i<len;i++){
		aClassBtn[i].index= i;
		aClassBtn[i].onclick=function(){
			for(var j=0;j<len;j++){
				_removeClass(aClassBtn[j],'current');	
			}
			_addClass(aClassBtn[this.index],'current');
			$(".faq_content_main").hide();
            $(".faq_content_main").eq(this.index).show();
			//oTit.innerHTML = aClassBtn[this.index].getElementsByTagName('span')[0].innerHTML;
		}	
	}
	
	for(var i=0;i<btnLen;i++){
		aTT[i].index= i;
		aTT[i].onclick=function(){
			if(aBtn[this.index].className.indexOf('btn_icon_open')>0){
				_removeClass(aBtn[this.index],'btn_icon_open');
				startMove_1(aDD[this.index],{height:0},20,Easing.Out,null)
			}else{
				for(var j=0;j<btnLen;j++){
					_removeClass(aBtn[j],'btn_icon_open');
					openCont(j,this.index);
				}
				_addClass(aBtn[this.index],'btn_icon_open');	
			}
		}	
	}
	
	function openCont(m,n){
		var iCurrentH = getEle('.q_txt',aDD[n])[0].offsetHeight;
		iCurrentH = iCurrentH+8+25;
		startMove_1(aDD[m],{height:0},20,Easing.Out,function(){})
		startMove_1(aDD[n],{height:iCurrentH},20,Easing.Out,null);
	}
}

function tvcFN(){
	var oTvcClass = getEle('.tvc_class')[0];
	var aBtn = oTvcClass.getElementsByTagName('li');
	
	var oBtnLeft = getEle('.left_btn')[0];
	var oBtnRight = getEle('.right_btn')[0];
	
	var oBox = getEle('.tvc_warp')[0];//外层遮罩
	var oContent = oBox.getElementsByTagName('ul')[0];//运动层
	var aLi = oBox.getElementsByTagName('li');//数量
	var oVideoName = getEle('.video_name')[0];
	var iNow = 0;
	var s = 4;
	
	
	for(var i=0;i<aBtn.length;i++){
		aBtn[i].index= i;
		aBtn[i].onclick = function(){
			for(var j=0;j<aBtn.length;j++){
				_removeClass(aBtn[j],'current');
			}
			_addClass(this,'current');
		}
			
	}
	
	for(var i=0;i<aLi.length;i++){
		aLi[i].index= i;
		aLi[i].onclick = function(){
			var currentName = this.getElementsByTagName('span')[0].innerHTML;
			oVideoName.innerHTML=currentName;
		}
	}
	
	oContent.style.width = aLi.length * aLi[0].offsetWidth + 'px';
	
	oBtnLeft.onclick = function() {
		iNow -= s;
		if (iNow <= 0) {
			iNow = 0;
			_addClass(oBtnLeft, 'left_no_btn');
		}
		_removeClass(oBtnRight, 'right_no_btn');
		startMove_1(oContent,{left:-iNow * aLi[0].offsetWidth},30,Easing.Out,null)
	}
	
	oBtnRight.onclick = function() {
		if(this.className.indexOf('right_no_btn')>0)return false;
		iNow += s;

		if (iNow + s >= aLi.length) {
			_addClass(oBtnRight, 'right_no_btn');
		}

		if (aLi.length % s) {
			var n = s - aLi.length % s;
			if (iNow > aLi.length - s) {
				iNow -= n;
			}
		}
		_removeClass(oBtnLeft, 'left_no_btn');
		startMove_1(oContent,{left:-iNow * aLi[0].offsetWidth},30,Easing.Out,null)
	}
	
}